CollectionRegionAccessStrategy (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.spi.access
Interface CollectionRegionAccessStrategy

All Superinterfaces:
  RegionAccessStrategy

All Known Implementing Classes:
  NonstopAwareCollectionRegionAccessStrategy, NonStrictReadWriteEhcacheCollectionRegionAccessStrategy, ReadOnlyEhcacheCollectionRegionAccessStrategy, ReadWriteEhcacheCollectionRegionAccessStrategy, TransactionalEhcacheCollectionRegionAccessStrategy

    public interface CollectionRegionAccessStrategy

extends RegionAccessStrategy

Contract for managing transactional and concurrent access to cached collection data. For cached collection data, all modification actions actually just invalidate the entry(s). The call sequence here is: `RegionAccessStrategy.lockItem(java.lang.Object, java.lang.Object)` -> `RegionAccessStrategy.remove(java.lang.Object)` -> `RegionAccessStrategy.unlockItem(java.lang.Object, org.hibernate.cache.spi.access.SoftLock)`

There is another usage pattern that is used to invalidate entries after performing "bulk" HQL/SQL operations: `RegionAccessStrategy.lockRegion()` -> `RegionAccessStrategy.removeAll()` -> `RegionAccessStrategy.unlockRegion(org.hibernate.cache.spi.access.SoftLock)`

Method Summary
`CollectionRegion` | `getRegion()` Get the wrapped collection cache region

Methods inherited from interface org.hibernate.cache.spi.access.RegionAccessStrategy
`evict, evictAll, get, lockItem, lockRegion, putFromLoad, putFromLoad, remove, removeAll, unlockItem, unlockRegion`

Method Detail

### getRegion

    CollectionRegion getRegion()

  Get the wrapped collection cache region

  Returns:
    The underlying region

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.